body.modal-open {
  overflow: hidden !important;
}

.load-more {
  margin: 30px 0;
  width: 100%;
  display: flex;
  justify-content: center;
  position: relative;
}

.load-more.loading a::after {
  display: block;
}

.load-more.loading a {
  color: transparent;
}

.preview-icon.bg-byorder {
  color: #fff;
  background-color: #0c5bb9;
}

.load-more::after {
  position: absolute;
  content: "";
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  height: 1px;
  width: 98%;
  background-color: #d1d3e0;
}

.load-more a {
  padding: 3px 5px;
  z-index: 1;
  background-color: #fff;
  position: relative;
}
.load-more .loader-demo-box {
  border: 0 !important;
}
.load-more a::after {
  /* position: absolute; */
  /* background-position: center;
  background-repeat: no-repeat;
  background-size: 20px; */
  /* content: ''; */
  /* background-color: #fff; */
  /* left: 0; */
  /* top: 0; */
  /* width: 100%; */
  /* height: 100%; */
  display: none;
}

.oem-max-height {
  height: max-content;
  max-height: 70px;
  overflow-y: auto;
  width: 267px;
}

a {
  color: inherit;
  /* blue colors for links too */
  text-decoration: inherit;
  /* no underline */
}

a:hover {
  color: inherit;
  /* blue colors for links too */
  text-decoration: inherit;
  /* no underline */
}

.c-pointer {
  cursor: pointer;
}

.file-link-parent {
  color: #000;
}

.file-link-parent label {
  position: relative;
}

.file-link-parent a .file-icon {
  position: absolute;
  font-size: 25px;
  left: 50%;
  transform: translateX(-50%);
}

.file-link-parent i:hover {
  color: #ee2c28;
}

.file-link-parent .overlay-delete-btn {
  opacity: 1;
  right: 0;
  position: relative;
  background: transparent;
}

.file-link-parent .uploaded-img-box i {
  margin: 0 5px;
}

.overlay-delete-btn {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.404);
  transition: 0.4s;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.uploaded-img-box i {
  color: #fff;
  font-size: 20px;
  margin: 0 10px;
}

.uploaded-img-box {
  position: relative;
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* .uploaded-img-box i {
  color: #000;
  font-size: 20px;
  margin: 0 4px;
} */

.uploaded-img-box:hover .overlay-delete-btn {
  opacity: 1;
}

.uploaded-img-box img {
  height: 80px !important;
  width: 80px !important;
  object-fit: contain;
}

.overlay-delete-btn {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.overlay-delete-btn i {
  color: #000;
}
.product-in-cart {
  background-color: yellow !important;
}

.in-cart-user {
  background-color: yellow !important;
}

.in-cart-oms {
  background-color: #00f3ff !important;
}

.card .card-body {
  padding: 20px;
}

input,
select {
  font-size: 16px !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
  /* <-- Apparently some margin are still there even though it's hidden */
}

input[type="number"] {
  -moz-appearance: textfield;
  /* Firefox */
}

mark,
.mark {
  background-color: #ffd600;
  padding: 0;
}

.card-top-info {
  font-size: 1rem;
  font-weight: 600;
  color: #504848;
}

.invoice-title p {
  color: #6e6e6e;
}

.invoice-th-sm th {
  padding: 1rem 4px;
}

.badge-returned {
  color: #fff;
  background-color: #2125296b;
}

.badge-byorder {
  color: #fff;
  background-color: #0c5bb9;
}

.badge-confirmed {
  background-color: #219dd5;
}

.btn-confirm {
  background-color: #219dd5;
  color: #fff;
}

.bg-confirmed {
  background-color: #219dd5 !important;
}

.btn-confirm:hover {
  color: #fff;
  box-shadow:
    0 2px 2px 0 rgb(252 114 66 / 14%),
    0 3px 1px -2px rgb(252 114 66 / 20%),
    0 1px 5px 0 rgb(252 114 66 / 12%);
  color: #fff;
  background-color: #1582b4;
  border-color: #1582b4;
}

.btn-byorder {
  background-color: #0c5bb9;
  color: #fff;
}

.btn-byorder:hover {
  color: #fff;
  box-shadow:
    0 2px 2px 0 rgb(252 114 66 / 14%),
    0 3px 1px -2px rgb(252 114 66 / 20%),
    0 1px 5px 0 rgb(252 114 66 / 12%);
  color: #fff;
  background-color: #a437e2;
  border-color: #a437e2;
}

.timeline-wrapper-confirmed .timeline-panel:before {
  background: #219dd5;
}

.timeline-wrapper-confirmed .timeline-badge {
  background: #219dd5;
}

.timeline-wrapper-byorder .timeline-panel:before {
  background: #0c5bb9;
}

.timeline-wrapper-byorder .timeline-badge {
  background: #0c5bb9;
}

.swal2-textarea {
  width: 90%;
}

.swal2-file:focus,
.swal2-input:focus,
.swal2-textarea:focus {
  box-shadow: none;
}

.display-unset {
  display: unset !important;
}

.form-group.loader {
  position: relative;
}

.form-group.loader-label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff66;
  z-index: 1;
  background-image: url(/assets/globals/gif/loading-mini.gif);
  background-position: center;
  background-size: 15%;
  background-repeat: no-repeat;
}

.form-group.loader::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff66;
  z-index: 1;
  background-image: url(/assets/globals/gif/loading-mini.gif);
  background-position: center;
  background-size: 8%;
  background-repeat: no-repeat;
}

.input-group-div {
  display: flex;
}

.input-group-div span {
  border-left: 1px solid #b7b7b7;
  border-top: 1px solid #b7b7b7;
  border-bottom: 1px solid #b7b7b7;
  height: 46px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
}

.tag-list {
  display: flex;
  flex-wrap: wrap;
}

.tag-item {
  background-color: #212529;
  color: #fff;
  padding: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
  border-radius: 3px;
  transition: 0.4s;
  cursor: pointer;
}

.tag-item:hover {
  background-color: #454545;
  color: white;
}

.swal2-modal .swal2-icon,
.swal2-modal .swal2-success-ring {
  margin-bottom: 0 !important;
}

.timeline-custom .timeline-panel {
  width: 50% !important;
}

.timeline-custom .timeline-wrapper .timeline-panel {
  margin-left: 0 !important;
}

.timeline-custom .timeline-wrapper.timeline-inverted .timeline-panel {
  margin-left: auto !important;
  margin-right: unset !important;
}

select.form-control {
  outline: none;
  border: 1px solid #b7b7b7;
}

.horizontal-menu-mini .bottom-navbar {
  box-shadow: 6px 3px 12px 0 rgb(0 0 0 / 5%);
  position: unset;
}

.page-navigation {
  position: unset !important;
}

@media (min-width: 768px) {
  .horizontal-menu-mini
    .bottom-navbar
    .page-navigation
    > .nav-item:not(.mega-menu)
    .submenu {
    top: 39px !important;
  }
}

@media (max-width: 991.9px) {
  .horizontal-menu-mini {
    display: none;
  }
}

.horizontal-menu-mini .bottom-navbar .page-navigation > .nav-item > .nav-link {
  padding: 5px 10px;
}

.horizontal-menu-mini
  .bottom-navbar
  .page-navigation
  > .nav-item
  > .nav-link
  .menu-title {
  font-size: 0.8rem;
}

.horizontal-menu-mini
  .bottom-navbar
  .page-navigation
  > .nav-item:last-child.nav-link {
  padding-left: 0 !important;
}

.backorder-main .progress.progress-lg {
  height: 60px;
}

.progress {
  position: relative;
}

.progress-percent {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 20px;
}

.tooltip {
  z-index: 9999 !important;
}

@media (max-width: 665px) {
  .notification-link {
    display: none !important;
  }
}

/* .select2-container.select2-container--default.select2-container--open {
  z-index: unset !important;
} */

.form-radio-custom .checkmark {
  display: none;
}

.btn {
  border-radius: 4px !important;
}

.form-control-position {
  position: absolute;
  top: 1px;
  left: -2px;
  z-index: 2;
  display: block;
  width: 2.5rem;
  height: 2.5rem;
  line-height: 3.2rem;
  text-align: center;
}
.mt-c-9 {
  margin-top: 9px;
}

.scrollup {
  width: 50px;
  height: 50px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  text-align: center;
  padding: 10px;
  z-index: 100;
  background-color: #ee2c28;
  border-radius: 50%;
  cursor: pointer;
  display: none;
}

.scrollup i {
  font-size: 30px;
  color: #fff;
}

.horizontal-menu .page-navigation > .nav-item.open-submenu .submenu {
  display: block;
}

@media (min-width: 991.98px) {
  .horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover .submenu {
    display: unset;
  }
}

.mt-c-14 {
  margin-top: 14px;
}

.mt-c-12 {
  margin-top: 12px;
}

.mt-c-10 {
  margin-top: 10px;
}

.mt-c-5 {
  margin-top: 5px;
}

.swal2-popup {
  width: 29em;
}

.fs-0 {
  font-size: 0rem !important;
}

.fs-10 {
  font-size: 0.7142857143rem !important;
}

.fs-12 {
  font-size: 0.8571428571rem !important;
}

.fs-14 {
  font-size: 1rem !important;
}

.fs-16 {
  font-size: 1.1428571429rem !important;
}

.fs-18 {
  font-size: 1.2857142857rem !important;
}

.fs-20 {
  font-size: 1.4285714286rem !important;
}

.fs-22 {
  font-size: 1.5714285714rem !important;
}

.fs-24 {
  font-size: 1.7142857143rem !important;
}

.fs-26 {
  font-size: 1.8571428571rem !important;
}

.fs-30 {
  font-size: 2.1428571429rem !important;
}

.fs-32 {
  font-size: 2.2857142857rem !important;
}

.fs-36 {
  font-size: 2.5714285714rem !important;
}

.fs-38 {
  font-size: 2.7142857143rem !important;
}

.fs-40 {
  font-size: 2.8571428571rem !important;
}

.fs-42 {
  font-size: 3rem !important;
}

.fs-46 {
  font-size: 3.2857142857rem !important;
}

.fs-48 {
  font-size: 3.4285714286rem !important;
}

.fs-50 {
  font-size: 3.5714285714rem !important;
}

.fs-60 {
  font-size: 4.2857142857rem !important;
}

.fs-70 {
  font-size: 5rem !important;
}

.fs-72 {
  font-size: 5.1428571429rem !important;
}

.fs-76 {
  font-size: 5.4285714286rem !important;
}

.fs-78 {
  font-size: 5.5714285714rem !important;
}

.fs-80 {
  font-size: 5.7142857143rem !important;
}

.fs-100 {
  font-size: 7.1428571429rem !important;
}

.fs-140 {
  font-size: 10rem !important;
}

.fs-180 {
  font-size: 12.8571428571rem !important;
}

.fs-200 {
  font-size: 14.2857142857rem !important;
}

.l-h-0 {
  line-height: 0rem !important;
}

.l-h-10 {
  line-height: 0.7142857143rem !important;
}

.l-h-12 {
  line-height: 0.8571428571rem !important;
}

.l-h-14 {
  line-height: 1rem !important;
}

.l-h-16 {
  line-height: 1.1428571429rem !important;
}

.l-h-18 {
  line-height: 1.2857142857rem !important;
}

.l-h-20 {
  line-height: 1.4285714286rem !important;
}

.l-h-22 {
  line-height: 1.5714285714rem !important;
}

.l-h-24 {
  line-height: 1.7142857143rem !important;
}

.l-h-25 {
  line-height: 1.7857142857rem !important;
}

.l-h-26 {
  line-height: 1.8571428571rem !important;
}

.l-h-30 {
  line-height: 2.1428571429rem !important;
}

.l-h-32 {
  line-height: 2.2857142857rem !important;
}

.l-h-35 {
  line-height: 2.5rem !important;
}

.l-h-36 {
  line-height: 2.5714285714rem !important;
}

.l-h-38 {
  line-height: 2.7142857143rem !important;
}

.l-h-40 {
  line-height: 2.8571428571rem !important;
}

.l-h-42 {
  line-height: 3rem !important;
}

.l-h-45 {
  line-height: 3.2142857143rem !important;
}

.l-h-46 {
  line-height: 3.2857142857rem !important;
}

.l-h-48 {
  line-height: 3.4285714286rem !important;
}

.l-h-50 {
  line-height: 3.5714285714rem !important;
}

.l-h-60 {
  line-height: 4.2857142857rem !important;
}

.l-h-70 {
  line-height: 5rem !important;
}

.l-h-72 {
  line-height: 5.1428571429rem !important;
}

.l-h-76 {
  line-height: 5.4285714286rem !important;
}

.l-h-78 {
  line-height: 5.5714285714rem !important;
}

.l-h-80 {
  line-height: 5.7142857143rem !important;
}

.l-h-100 {
  line-height: 7.1428571429rem !important;
}

.l-h-140 {
  line-height: 10rem !important;
}

.l-h-180 {
  line-height: 12.8571428571rem !important;
}

.l-h-200 {
  line-height: 14.2857142857rem !important;
}

.l-h-n {
  line-height: normal !important;
}

.fw-100 {
  font-weight: 100;
}

.fw-200 {
  font-weight: 200;
}

.fw-300 {
  font-weight: 300;
}

.fw-400 {
  font-weight: 400;
}

.fw-500 {
  font-weight: 500;
}

.fw-600 {
  font-weight: 600;
}

.fw-700 {
  font-weight: 700;
}

.fw-800 {
  font-weight: 800;
}

.fw-900 {
  font-weight: 900;
}

.fw-light {
  font-weight: 100;
}

.fw-normal {
  font-weight: 400;
}

.fw-medium {
  font-weight: 500;
}

.fw-bold {
  font-weight: 700;
}
